#include <QQuickItem>
#include <QQuickWidget>
#include <QtWidgets>
#include <QQmlApplicationEngine>


int main(int argc, char **argv) {
  QApplication app(argc, argv);

  QQmlApplicationEngine engine(QUrl{ "qrc:/QmlWindow.qml" });
  
  QQuickWidget textBox(QUrl{"qrc:/TextBox.qml"});
  textBox.show();

  QObject::connect(textBox.quickWindow(), &QWindow::focusObjectChanged, [&textBox](QObject* object) {
      QWindow* widgetWindow = nullptr; // textBox.widgetWindow(); // currently not possible

      if (widgetWindow)
        emit widgetWindow->focusObjectChanged(object);
  });
  
  return app.exec();
}
